Bug 971002 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'unlink' accesses on the file restore.sxx.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'unlink' acc...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:97968f637e6758f2ed63532eab2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 08:44 EDT by morgan read
Modified: 2015-03-13 18:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 05:43:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2013-06-05 08:44:22 EDT
Description of problem:
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'unlink' accesses on the file restore.sxx.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that plugin-container should be allowed unlink access on the restore.sxx file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                restore.sxx [ file ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xulrunner-21.0-4.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-06-05 13:39:11 BST
Last Seen                     2013-06-05 13:39:11 BST
Local ID                      8a5b6883-0b4f-4e37-bed6-676ad462f744

Raw Audit Messages
type=AVC msg=audit(1370435951.544:538): avc:  denied  { unlink } for  pid=8752 comm="plugin-containe" name="restore.sxx" dev="dm-5" ino=11403480 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1370435951.544:538): arch=x86_64 syscall=unlink success=yes exit=0 a0=7f03ebcc6dc0 a1=7fffef217600 a2=0 a3=7fffef2172e0 items=0 ppid=8553 pid=8752 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 ses=6 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,user_home_t,file,unlink

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_t:file unlink;

audit2allow -R
require {
	type mozilla_plugin_t;
}

#============= mozilla_plugin_t ==============
userdom_delete_user_home_content_files(mozilla_plugin_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport

Potential duplicate: bug 827277
Comment 1 Miroslav Grepl 2013-06-07 05:43:03 EDT
Does

# restorecon -R -v ~/home 

fix the problem? Where is "restore.sxx" located?
Comment 2 morgan read 2015-03-13 17:59:17 EDT
Thank you for your question Miroslav, I regret not replying sooner

clearing Need Info flag only

Note You need to log in before you can comment on or make changes to this bug.